# HG changeset patch
# Node ID 2b19579e0a8a265fa182410cc6540b910e0cdd51
# Parent  3eb1d65199658053a76949b10bbeec6cd12766f7
diff --git a/libpurple/plugins.c b/libpurple/plugins.c
--- a/libpurple/plugins.c
+++ b/libpurple/plugins.c
@@ -463,7 +463,7 @@
 				                           file);
 			}
 
-			notification = purple_notification_new_generic(NULL, title);
+			notification = purple_notification_new(NULL, title);
 			purple_notification_set_subtitle(notification, subtitle);
 			purple_notification_set_icon_name(notification,
 			                                  "dialog-error-symbolic");
diff --git a/libpurple/plugins/hello-world/hello_world.c b/libpurple/plugins/hello-world/hello_world.c
--- a/libpurple/plugins/hello-world/hello_world.c
+++ b/libpurple/plugins/hello-world/hello_world.c
@@ -26,7 +26,7 @@
 	PurpleNotification *notification = NULL;
 	PurpleNotificationManager *manager = NULL;
 
-	notification = purple_notification_new_generic(NULL, "Hello World!");
+	notification = purple_notification_new(NULL, "Hello World!");
 	purple_notification_set_subtitle(notification,
 	                                 "This is the Hello World! plugin :)");
 
diff --git a/libpurple/purpleaccount.c b/libpurple/purpleaccount.c
--- a/libpurple/purpleaccount.c
+++ b/libpurple/purpleaccount.c
@@ -1109,7 +1109,7 @@
 
 		value = g_strdup_printf(_("Failed to load account '%s'"),
 		                        account->username);
-		notification = purple_notification_new_generic(NULL, value);
+		notification = purple_notification_new(NULL, value);
 		g_free(value);
 
 		purple_notification_set_account(notification, account);
diff --git a/libpurple/purplecredentialmanager.c b/libpurple/purplecredentialmanager.c
--- a/libpurple/purplecredentialmanager.c
+++ b/libpurple/purplecredentialmanager.c
@@ -151,7 +151,7 @@
 			          id, error != NULL ? error->message : "unknown error");
 
 			title = _("Failed to load the selected credential provider.");
-			notification = purple_notification_new_generic(NULL, title);
+			notification = purple_notification_new(NULL, title);
 
 			title = _("Check your system configuration or select another one "
 			          "in preferences");
diff --git a/libpurple/purplenotification.c b/libpurple/purplenotification.c
--- a/libpurple/purplenotification.c
+++ b/libpurple/purplenotification.c
@@ -372,7 +372,7 @@
  * Public API
  *****************************************************************************/
 PurpleNotification *
-purple_notification_new_generic(const char *id, const char *title) {
+purple_notification_new(const char *id, const char *title) {
 	return g_object_new(PURPLE_TYPE_NOTIFICATION,
 	                    "id", id,
 	                    "title", title,
diff --git a/libpurple/purplenotification.h b/libpurple/purplenotification.h
--- a/libpurple/purplenotification.h
+++ b/libpurple/purplenotification.h
@@ -60,7 +60,7 @@
 };
 
 /**
- * purple_notification_new_generic:
+ * purple_notification_new:
  * @id: (nullable): An id for the notification.
  * @title: (nullable): The title for the notification.
  *
@@ -76,7 +76,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-PurpleNotification *purple_notification_new_generic(const char *id, const char *title);
+PurpleNotification *purple_notification_new(const char *id, const char *title);
 
 /**
  * purple_notification_get_id:
diff --git a/libpurple/reference/tut_c_plugins.md b/libpurple/reference/tut_c_plugins.md
--- a/libpurple/reference/tut_c_plugins.md
+++ b/libpurple/reference/tut_c_plugins.md
@@ -45,7 +45,7 @@
 	PurpleNotification *notification = NULL;
 	PurpleNotificationManager *manager = NULL;
 
-	notification = purple_notification_new_generic(NULL, "Hello World!");
+	notification = purple_notification_new(NULL, "Hello World!");
 	purple_notification_set_subtitle(notification,
 	                                 "This is the Hello World! plugin :)");
 
diff --git a/libpurple/tests/test_notification.c b/libpurple/tests/test_notification.c
--- a/libpurple/tests/test_notification.c
+++ b/libpurple/tests/test_notification.c
@@ -31,7 +31,7 @@
 	GDateTime *created_timestamp = NULL;
 	const char *id = NULL;
 
-	notification = purple_notification_new_generic(NULL, NULL);
+	notification = purple_notification_new(NULL, NULL);
 
 	/* Make sure we got a valid notification. */
 	g_assert_true(PURPLE_IS_NOTIFICATION(notification));
diff --git a/libpurple/tests/test_notification_manager.c b/libpurple/tests/test_notification_manager.c
--- a/libpurple/tests/test_notification_manager.c
+++ b/libpurple/tests/test_notification_manager.c
@@ -81,7 +81,7 @@
 	                 &removed_called);
 
 	/* Create the notification and store its id. */
-	notification = purple_notification_new_generic(NULL, NULL);
+	notification = purple_notification_new(NULL, NULL);
 
 	/* Add the notification to the manager. */
 	purple_notification_manager_add(manager, notification);
@@ -116,7 +116,7 @@
 
 		manager = g_object_new(PURPLE_TYPE_NOTIFICATION_MANAGER, NULL);
 
-		notification = purple_notification_new_generic(NULL, NULL);
+		notification = purple_notification_new(NULL, NULL);
 
 		purple_notification_manager_add(manager, notification);
 		purple_notification_manager_add(manager, notification);
@@ -146,7 +146,7 @@
 	                 G_CALLBACK(test_purple_notification_manager_increment_cb),
 	                 &removed_called);
 
-	notification = purple_notification_new_generic(NULL, NULL);
+	notification = purple_notification_new(NULL, NULL);
 
 	purple_notification_manager_add(manager, notification);
 
@@ -175,7 +175,7 @@
 	g_assert_cmpuint(0, ==, g_list_model_get_n_items(model));
 
 	/* Add a single notification without the account */
-	notification = purple_notification_new_generic(NULL, NULL);
+	notification = purple_notification_new(NULL, NULL);
 	purple_notification_manager_add(manager, notification);
 	purple_notification_manager_remove_with_account(manager, account, TRUE);
 	g_assert_cmpuint(1, ==, g_list_model_get_n_items(model));
@@ -183,7 +183,7 @@
 	g_clear_object(&notification);
 
 	/* Add a single notification with the account */
-	notification = purple_notification_new_generic(NULL, NULL);
+	notification = purple_notification_new(NULL, NULL);
 	purple_notification_set_account(notification, account);
 	purple_notification_manager_add(manager, notification);
 	purple_notification_manager_remove_with_account(manager, account, TRUE);
@@ -212,7 +212,7 @@
 
 	/* Add our notifications. */
 	for(int i = 0; pattern[i] >= 0; i++) {
-		notification = purple_notification_new_generic(NULL, NULL);
+		notification = purple_notification_new(NULL, NULL);
 		purple_notification_set_account(notification, accounts[pattern[i]]);
 		purple_notification_manager_add(manager, notification);
 		g_clear_object(&notification);
@@ -276,7 +276,7 @@
 	g_assert_cmpuint(0, ==, g_list_model_get_n_items(model));
 
 	/* Add a generic notification with an account. */
-	notification = purple_notification_new_generic(NULL, NULL);
+	notification = purple_notification_new(NULL, NULL);
 	purple_notification_set_account(notification, account);
 	purple_notification_manager_add(manager, notification);
 	g_clear_object(&notification);
@@ -291,13 +291,13 @@
 	g_clear_object(&notification);
 
 	/* Add a generic notification with the account. */
-	notification = purple_notification_new_generic(NULL, NULL);
+	notification = purple_notification_new(NULL, NULL);
 	purple_notification_set_account(notification, account);
 	purple_notification_manager_add(manager, notification);
 	g_clear_object(&notification);
 
 	/* Add a generic notification without an account. */
-	notification = purple_notification_new_generic(NULL, NULL);
+	notification = purple_notification_new(NULL, NULL);
 	purple_notification_manager_add(manager, notification);
 	g_clear_object(&notification);
 
@@ -347,7 +347,7 @@
 	                 &unread_count_called);
 
 	/* Create the notification. */
-	notification = purple_notification_new_generic(NULL, NULL);
+	notification = purple_notification_new(NULL, NULL);
 
 	purple_notification_manager_add(manager, notification);
 
@@ -390,7 +390,7 @@
 	                 G_CALLBACK(test_purple_notification_manager_items_changed_cb),
 	                 &counter);
 
-	notification = purple_notification_new_generic(NULL, "title");
+	notification = purple_notification_new(NULL, "title");
 	purple_notification_manager_add(manager, notification);
 	g_assert_cmpuint(counter, ==, 1);
 
diff --git a/protocols/demo/purpledemoprotocolactions.c b/protocols/demo/purpledemoprotocolactions.c
--- a/protocols/demo/purpledemoprotocolactions.c
+++ b/protocols/demo/purpledemoprotocolactions.c
@@ -502,7 +502,7 @@
 	account_manager = purple_account_manager_get_default();
 	account = purple_account_manager_find_by_id(account_manager, account_id);
 
-	notification = purple_notification_new_generic(NULL, puns[counter]);
+	notification = purple_notification_new(NULL, puns[counter]);
 	purple_notification_set_icon_name(notification, "im-purple-demo");
 
 	notification_manager = purple_notification_manager_get_default();
